/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.j2objc;

import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.io.StringWriter;
import junit.framework.TestCase;

/** Tests that embedded resources are found and returned. */
public final class EmbeddedResourceTest extends TestCase {

  public void testEmbeddedResource() throws IOException {
    InputStream resource = getClass().getResourceAsStream("embedded_resource.data");
    Reader in = new InputStreamReader(resource);
    StringWriter out = new StringWriter();
    char[] buffer = new char[64];
    int n;
    while ((n = in.read(buffer)) != -1) {
      out.write(buffer, 0, n);
    }
    assertEquals("Success!\n", out.toString());
  }

  /*-[
    //
    // Generated by gen_java_source_jar.py
    //

    #include "J2ObjC_source.h"

    static jbyte _com_google_j2objc_embedded_resource_data[] = {
      0x53, 0x75, 0x63, 0x63, 0x65, 0x73, 0x73, 0x21, 0x0A,  // "Success!\n"
    };
    J2OBJC_RESOURCE(_com_google_j2objc_embedded_resource_data, 9, 0x3f37bb1320822135)
  ]-*/
}
